#include "CGame.h"
#include "defines.h"
#include "events.h"
#include <windows.h>

CGame::CGame()
{
	Y0 = 1;
	Nplayers = 0;
	map = new CMap();
	input = new CKeyboard();
	output = new CScreen(map);
	for(int i=0;i<MAX_PLAYERS;i++) player[i] = 0;
	for(i=0;i<MAX_MONSTRES;i++) monster[i] = 0;
	level = 0;
}

CGame::~CGame()
{
	delete input;
	input = 0;
	delete output;
	output = 0;
	delete map;
	map = 0;
	for(int i=0;i<MAX_PLAYERS;i++) 
		if (player[i] != 0) 
			delete player[i];
	for(i=0;i<MAX_MONSTRES;i++) 
		if (monster[i] != 0) 
			delete monster[i];
}

bool CGame::InitScreen(HWND hWnd)
{
	return output->InitGraphics(hWnd);
}

CPlayer* CGame::AddPlayer(int x, int y)
{
	int n = 0;
	while (n<MAX_PLAYERS && player[n] != 0) n++;
	if (n<MAX_PLAYERS)
	{
		Nplayers++;
		player[n] = new CPlayer(x,y,map);
		return player[n];
	} 
	else
		return 0;
}

CMonster* CGame::AddMonster(int x, int y,int type)
{
	int n = 0;
	while (n<MAX_MONSTRES && monster[n] != 0) n++;
	if (n<MAX_MONSTRES)
	{
		Nmonstres++;
		monster[n] = new CMonster(x,y,type,map);
		return monster[n];
	} 
	else
		return 0;
}

bool CGame::TranslateEvent(CEvent* e)
{
	A0(e);	
	return true;
}

void CGame::DecodeKey(long int k,int f)
{
	CEvent *e = new CEvent(f,k);
	A0(e);
	delete e;
}

void CGame::You()
{
	CEvent *e = new CEvent(eYOU);
	A0(e);
	delete e;
}

void CGame::Paint(int n)
{
	CEvent *e = new CEvent(ePAINT);
	A0(e);
	delete e;
}

CKeyboard* CGame::GetInput()
{
	return input;
}

bool CGame::LoadLevel(int n)
{
	if (level == 0)
	{
		level = new CLevel(n,this,map,output);
		return true;
	}
	return false;
}

void CGame::ClearLevel()
{
	if (level != 0)
	{
		delete level;
		level = 0;
	}
}

bool CGame::DeletePlayer(int n)
{
	if (n>=0 && n<MAX_PLAYERS && player[n] != 0)
	{
		delete player[n];
		player[n] = 0;
		return true;
	}
	else 
		return false;
}

bool CGame::DeleteMonster(int n)
{
	if (n>=0 && n<MAX_MONSTRES && monster[n] != 0)
	{
		delete monster[n];
		monster[n] = 0;
		return true;
	}
	else 
		return false;
}

CPlayer* CGame::GetPlayer(int n)
{
	if (n>=0 && n<MAX_PLAYERS && player[n] != 0)
		return player[n];
	else
		return 0;
}