#ifndef CGAME_DEF
#define	CGAME_DEF

#include "CBomb.h"
#include "CPlayer.h"
#include "CMonster.h"
#include "CMap.h"
#include "CEvent.h"
#include "CMapAccess.h"
#include "CKeyboard.h"
#include "CScreen.h"
#include "CLevel.h"
#include "defines.h"
#include "events.h"

class CLevel;
class CGame  
{
public:

	CGame();
	virtual ~CGame();

	CPlayer* AddPlayer(int,int);
	CMonster* AddMonster(int,int,int);
	bool DeletePlayer(int);
	bool DeleteMonster(int);
	bool InitScreen(HWND);
	bool TranslateEvent(CEvent* e);
	void Paint(int);
	void You();
	void DecodeKey(long,int);
	CKeyboard* GetInput();
	bool LoadLevel(int);
	void ClearLevel();
	CPlayer* GetPlayer(int);

private:
	void A0(CEvent*);
	int Y0;

	void inline z00(int);
	void inline z01(CEvent*);
	void inline z02(CEvent*);
	void inline z03(CEvent*);
	void inline z04(CEvent*);
	void inline z05(CEvent*);
	void inline z06(CEvent*);
	void inline z07(CEvent*);
	void inline z08(CEvent*);
	void inline z09(CEvent*);
	void inline z10();
	void inline z11();

	int Nplayers;
	int Nmonstres;

	CKeyboard *input;
	CScreen *output;
	CMap *map;
	CPlayer *player[MAX_PLAYERS];
	CMonster *monster[MAX_MONSTRES];
	CLevel *level;
};

#endif 
