#include "CMap.h"

CMap::CMap()
{
	for(int i=0;i<MAP_WIDTH;i++)
	for(int j=0;j<MAP_HEIGHT;j++)
		data[i][j] = MAP_CLEAR;
	for(i=0;i<MAX_MAP_OBJECTS;i++) 
		objects[i] = 0;
}

CMap::~CMap()
{

}

int CMap::getMapPos(int x, int y)
{
	return data[x][y];
}

void CMap::setMapPos(int x,int y, int d)
{
	if (x>=0 && y>=0 && x<MAP_WIDTH && y<MAP_HEIGHT)
		data[x][y] = d;
}

void CMap::AddObject(int x,int y,int z,int width,int height,int type,int data)
{
	int n = 0;
	while (n < MAX_MAP_OBJECTS && objects[n] != 0) n++;
	if (n < MAX_MAP_OBJECTS)
	{
		objects[n] = new SObject;
		objects[n]->x = x;
		objects[n]->y = y;
		objects[n]->z = z;
		objects[n]->width = width;
		objects[n]->height = height;
		objects[n]->type = type;
		objects[n]->data = data;
	} else
		objects[n] = 0;
}

void CMap::SortObjects()
{
	for(int i=0;i<MAX_MAP_OBJECTS;i++)	if (objects[i] != 0)
		for(int j=i+1;j<MAX_MAP_OBJECTS;j++) if (objects[j] != 0) 
		{
			if (objects[i]->z < objects[j]->z)
			{
				LPSObject b = objects[i];
				objects[i] = objects[j];
				objects[j] = b;
			}
		}
}

LPSObject CMap::getObject(int n)
{
	return (n >= 0 && n<MAX_MAP_OBJECTS) ? objects[n] : (LPSObject)0;
}

bool CMap::deleteObject(int n)
{
	if ((n >= 0 && n < MAX_MAP_OBJECTS) && objects[n] != 0)
	{
		delete objects[n];
		objects[n] = 0;
		return true;
	}
	else 
		return false;
}

void CMap::Paint()
{
}