#include <windows.h>
#include <stdlib.h>

#include "defines.h"
#include "events.h"
#include "CMonster.h"
#include "CMap.h"

CMonster::CMonster()
{
}

CMonster::CMonster(int xp,int yp,int t,CMap* m)
{
	x = xp;
	y = yp;
	Px = 0;
	Py = 0;
	Y1 = 0;
	Y2 = 0;
	Y3 = 0;
	Y4 = 0;
	Y5 = 0;
	dir = 4;
	anim = 0;
	k = 0;
	lives = 3;
	timer = 0;
	die = false;
	blink = false;
	tBlink = 0;
	tDie = 0;
	tAnim = MONSTER_ANIM_SPEED;
	map = new CMapAccess(m);
	type = t;
	switch (t)
	{
	case mPARF:
		width = mPARF_WIDTH;
		height = mPARF_HEIGHT;
		break;
	}
}

CMonster::~CMonster()
{
	delete map;
	map = 0;
}



void CMonster::You()
{
	CEvent *e = new CEvent(eMONSTER_YOU);
	A1(e);
	delete e;
}

bool CMonster::TranslateEvent(CEvent *e)
{
	A1(e);
	return true;
}

void CMonster::Paint(int z)
{
	CEvent *e = new CEvent(eMONSTER_PAINT,(int)z);
	A1(e);
	delete e;
}

bool CMonster::CheckBombExplosion(CBomb* bomb)
{
	int xb = bomb->x;
	int yb = bomb->y;
	int pb = bomb->power;
	bool lt = true;	bool rt = true;	bool up = true;	bool dn = true;
	bool hit = false;
	for(int i=1;i<=pb;i++)
	{	
		if (map->checkMapPos(xb + i,yb)>=3) rt = false;
		if (map->checkMapPos(xb - i,yb)>=3) lt = false;
		if (map->checkMapPos(xb,yb - i)>=3) up = false;
		if (map->checkMapPos(xb,yb + i)>=3) dn = false;
		
		if (dn && (xb == x && yb + i == y))	hit = true;
		if (rt && (xb + i == x && yb == y)) hit = true;
		if (lt && (xb - i == x && yb == y)) hit = true;
		if (up && (xb == x && yb - i == y)) hit = true;
	}	
	return hit;
}

bool CMonster::checkMap(int x,int y)
{
	int xp = CMonster::x + x;
	int yp = CMonster::y + y;
	if (xp>=0 && yp>=0 && xp<MAP_WIDTH && yp<MAP_HEIGHT)
		return map->checkMapPos(CMonster::x + x, CMonster::y + y) == 0;
	else 
		return false;
}

void CMonster::checkMove()
{
	if (Px > CELL_SIZE/2)
	{
		x++;
		Px -= CELL_SIZE;
	}
	if (Py > CELL_SIZE/2)
	{
		y++;
		Py -= CELL_SIZE;
	}
	if (Px < -CELL_SIZE/2)
	{
		x--;
		Px += CELL_SIZE;
	}
	if (Py < -CELL_SIZE/2)
	{
		y--;
		Py += CELL_SIZE;
	}
}

int CMonster::getDir()
{
	if (Y3 == 0) 
		return dir;
	else 
		return Y3;
}

