#include "CScreen.h"
#include "ddutil.h"
#include "stdio.h"



CScreen::~CScreen()
{
	delete map;
	CloseGraphics();
}

CScreen::CScreen(CMap *m)
{
	map = new CMapAccess(m);
}

/*
 * restoreAll
 *
 * restore all lost objects
 */

HRESULT CScreen::restoreAll( void )
{
    HRESULT	ddrval;

	ddrval = lpDDSPrimary->Restore();
    if( ddrval == DD_OK )
    {
		ddrval = lpDDSSurf[sONE]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sONE], szBitmap);
		}
		ddrval = lpDDSSurf[sTWO]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sTWO], szBmpMan);
		}
		ddrval = lpDDSSurf[sBG]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sBG], szBmpBg);
		}
		ddrval = lpDDSSurf[sUG]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sUG], szBmpUg);
		}
		ddrval = lpDDSSurf[sWALL]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sWALL], szBmpWall);
		}
		ddrval = lpDDSSurf[sMENU]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sMENU], szBmpMenu);
		}
		ddrval = lpDDSSurf[sBUTTONS]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sBUTTONS], szBmpButtons);
		}
		ddrval = lpDDSSurf[sMONSTER]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sMONSTER], szBmpMonster);
		}
		ddrval = lpDDSSurf[sDIE]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sDIE], szBmpDie);
		}
		ddrval = lpDDSSurf[sCREDITS]->Restore();
		if( ddrval == DD_OK )
		{
			DDReLoadBitmap(lpDDSSurf[sCREDITS], szBmpCredits);
		}

    }
    return ddrval;

} /* restoreAll */


void CScreen::ttt (RECT rcRect, LPDIRECTDRAWSURFACE lpDDBack, LPDIRECTDRAWSURFACE lpSur, int x, int y, DWORD trans)
{
	HRESULT ddrval;
	while( 1 )
	{
		//   rcRect   lpSur  lpDDBack
		//   x, y   trans
		ddrval = lpDDBack->BltFast( x, y, lpSur,	&rcRect, trans );
		if( ddrval == DD_OK )
		{
			break;
		}
		if( ddrval == DDERR_SURFACELOST )
		{
		    ddrval = restoreAll();
			if( ddrval != DD_OK )
		    {
				return;
			}
		}
		if( ddrval != DDERR_WASSTILLDRAWING )
		{
			return;
		}
	}
}


void CScreen::Paint()
{
	HRESULT ddrval;
	RECT rcRect;
	int i;
	int j;
	int x;
	int y;
	int w;
	int h;
	int t;
	int d;
	int dx;
	int dy;

	rcRect.left = 0;
	rcRect.top = 0;
	rcRect.right = 640;
	rcRect.bottom = 400;
    //  background  
	ttt(rcRect, lpDDSBack, lpDDSSurf[sBG], 0, 0, DDBLTFAST_NOCOLORKEY );

	//  ,    

	rcRect.right = 0;
	rcRect.bottom = 0;
	dx = CELL_SIZE;
	dy = CELL_SIZE;
	w = CELL_SIZE;
	h = CELL_SIZE;
  	for(i=0;i<MAP_WIDTH;i++) for(j=0;j<MAP_HEIGHT;j++)
	{
		if (map->checkMapPos(i,j)>=3 && map->checkMapPos(i,j)<=10)	
		{
			rcRect.left = (map->checkMapPos (i,j) - 3) * dx;
			rcRect.top = 0;
			rcRect.right = rcRect.left + w;
			rcRect.bottom = rcRect.top + h;	
			ttt(rcRect, lpDDSBack, lpDDSSurf[sWALL], i*32 + MAP_OFFSET_X, j*32 + MAP_OFFSET_Y, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		}
	}

	//        background 
	for (i=0;i < MAX_MAP_OBJECTS;i++) if (map->getObject(i,x,y,w,h,t,d)) 	
	{
		switch (t)
		{
		case 1:	//  
			dx = CELL_SIZE;
			dy = CELL_SIZE;
			switch (d)
			{
			case 0:	rcRect.left = 0;
					rcRect.top = 0;
					break;
			case 1:	rcRect.left = dx;
					rcRect.top = 0;
					break;
			case 2:	rcRect.left = dx*2;
					rcRect.top = 0;
					break;
			case 3:	rcRect.left = dx*3;
					rcRect.top = 0;
					break;
			case 4:	rcRect.left = 0;
					rcRect.top = dy*1;
					break;
			case 5:	rcRect.left = dx;
					rcRect.top = dy*1;
					break;
			case 6: rcRect.left = dx*2;
					rcRect.top = dy*1;
					break;
			case 7: rcRect.left = dx*3;
					rcRect.top = dy*1;
					break;
			case 8:	rcRect.left = 0;
					rcRect.top = dy*2;
					break;
			case 9:	rcRect.left = dx;
					rcRect.top = dy*2;
					break;
			case 10:rcRect.left = dx*2;
					rcRect.top = dy*2;
					break;
			case 11:rcRect.left = dx*3;
					rcRect.top = dy*2;
					break;
			case 12:rcRect.left = 0;
					rcRect.top = dy*3;
					break;
			case 13:rcRect.left = dx;
					rcRect.top = dy*3;
					break;
			case 14:rcRect.left = dx*2;
					rcRect.top = dy*3;
					break;
			case 15:rcRect.left = dx*3;
					rcRect.top = dy*3;
					break;
			case 16:rcRect.left = 0;
					rcRect.top = dy*4;
					break;
			case 17:rcRect.left = dx;
					rcRect.top = dy*4;
					break;
			case 18:rcRect.left = dx*2;
					rcRect.top = dy*4;
					break;
			case 19:rcRect.left = dx*3;
					rcRect.top = dy*4;
					break;
			case 20:rcRect.left = 0;
					rcRect.top = dy*5;
					break;
			case 21:rcRect.left = dx;
					rcRect.top = dy*5;
					break;
			case 22:rcRect.left = dx*2;
					rcRect.top = dy*5;
					break;
			case 23:rcRect.left = dx*3;
					rcRect.top = dy*5;
					break;
			case 24:rcRect.left = 0;
					rcRect.top = dy*6;
					break;
			case 25:rcRect.left = dx;
					rcRect.top = dy*6;
					break;
			case 26:rcRect.left = dx*2;
					rcRect.top = dy*6;
					break;
			case 27:rcRect.left = dx*3;
					rcRect.top = dy*6;
					break;
			case 28:rcRect.left = 0;
					rcRect.top = dy*7;
					break;
			case 29:rcRect.left = dx;
					rcRect.top = dy*7;
					break;
			case 30:rcRect.left = dx*2;
					rcRect.top = dy*7;
					break;
			case 31:rcRect.left = dx*3;
					rcRect.top = dy*7;
					break;
			case 32:rcRect.left = 0;
					rcRect.top = dy*8;
					break;
			case 33:rcRect.left = dx;
					rcRect.top = dy*8;
					break;
			case 34:rcRect.left = dx*2;
					rcRect.top = dy*8;
					break;
			case 35:rcRect.left = dx*3;
					rcRect.top = dy*8;
					break;
			}
			break;
		case 2:		//
			dx = w;
			dy = h;
			switch (d)
			{
			case 0: rcRect.left = 0;
					rcRect.top = 0;
					break;
			case 1: rcRect.left = dx;
					rcRect.top = 0;
					break;
			case 2: rcRect.left = 2*dx;
					rcRect.top = 0;
					break;
			case 3: rcRect.left = 0;
					rcRect.top = dy;
					break;
			case 4: rcRect.left = dx;
					rcRect.top = dy;
					break;
			case 5: rcRect.left = 2*dx;
					rcRect.top = dy;
					break;
			case 6: rcRect.left = 0;
					rcRect.top = 2*dy;
					break;
			case 7: rcRect.left = dx;
					rcRect.top = 2*dy;
					break;
			case 8: rcRect.left = 2*dx;
					rcRect.top = 2*dy;
					break;
			case 9: rcRect.left = 0;
					rcRect.top = 3*dy;
					break;
			case 10:rcRect.left = dx;
					rcRect.top = 3*dy;
					break;
			case 11:rcRect.left = 2*dx;
					rcRect.top = 3*dy;
					break;
			}
			break;
		case 3:		//
			dx = w;
			dy = h;
			switch (d)
			{
			case 0: rcRect.left = 0;
					rcRect.top = 0;
					break;
			case 1: rcRect.left = dx;
					rcRect.top = 0;
					break;
			case 2: rcRect.left = 2*dx;
					rcRect.top = 0;
					break;
			case 3: rcRect.left = 0;
					rcRect.top = dy;
					break;
			case 4: rcRect.left = dx;
					rcRect.top = dy;
					break;
			case 5: rcRect.left = 2*dx;
					rcRect.top = dy;
					break;
			case 6: rcRect.left = 0;
					rcRect.top = 2*dy;
					break;
			case 7: rcRect.left = dx;
					rcRect.top = 2*dy;
					break;
			case 8: rcRect.left = 2*dx;
					rcRect.top = 2*dy;
					break;
			case 9: rcRect.left = 0;
					rcRect.top = 3*dy;
					break;
			case 10:rcRect.left = dx;
					rcRect.top = 3*dy;
					break;
			case 11:rcRect.left = 2*dx;
					rcRect.top = 3*dy;
					break;
			}
			break;
		case 4:
			rcRect.left = PLAYER_WIDTH_DIE * (d-1);
			rcRect.top = 0;
			break;
		}
		rcRect.right = rcRect.left + w;
		rcRect.bottom = rcRect.top + h;	
		//    background  
		while( 1 )
		{
			switch(t)
			{
			case 1:
				ddrval = lpDDSBack->BltFast( x, y, lpDDSSurf[sONE], &rcRect, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
				break;
			case 2:
				ddrval = lpDDSBack->BltFast( x, y, lpDDSSurf[sTWO], &rcRect, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
				break;
			case 3: 
				ddrval = lpDDSBack->BltFast( x, y, lpDDSSurf[sMONSTER], &rcRect, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
				break;
			case 4:
				ddrval = lpDDSBack->BltFast( x, y, lpDDSSurf[sDIE], &rcRect, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
				break;
			}
			if( ddrval == DD_OK )
			{
				break;
			}
			if( ddrval == DDERR_SURFACELOST )
			{
			    ddrval = restoreAll();
				if( ddrval != DD_OK )
			    {
					return;
				}
			}
			if( ddrval != DDERR_WASSTILLDRAWING )
			{
				return;
			}
		}
	}
	//     
	while( 1 )
	{
		ddrval = lpDDSPrimary->Flip( NULL, 0 );
		if( ddrval == DD_OK )
		{
		    break;
		}
		if( ddrval == DDERR_SURFACELOST )
		{
			ddrval = restoreAll();
		    if( ddrval != DD_OK )
		    {
				break;
		    }
		}
		if( ddrval != DDERR_WASSTILLDRAWING )
		{
		    break;
		}
    }


}

void CScreen::CloseGraphics()
{
    if( lpDD != NULL )
    {
		if( lpDDSPrimary != NULL )
		{
			lpDDSPrimary->Release();
			lpDDSPrimary = NULL;
		}
		for (int i=0;i<SURF_NUMBER;i++)	if( lpDDSSurf[i] != NULL )
		{
			lpDDSSurf[i]->Release();
			lpDDSSurf[i] = NULL;
		}
		if( lpDDPal != NULL )
		{
			lpDDPal->Release();
			lpDDPal = NULL;
		}
		lpDD->Release();
		lpDD = NULL;
    }
}

void CScreen::PaintMenu (int a)
{
	HRESULT ddrval;
	RECT rcRect;
	rcRect.top = 0;
	rcRect.left = 0;
	rcRect.right = 640;
	rcRect.bottom = 400;


	ttt(rcRect, lpDDSBack, lpDDSSurf[sMENU], 0, 0, DDBLTFAST_NOCOLORKEY );
	int dx = 160;
	int dy = 32;
	int ddx = (640 - dx) / 2;
	int ddy = (400 - 4*dy - 15) / 2;
//	int a = 4;
	switch (a)
	{
	case 1: 
		rcRect.left = dx;
		rcRect.top = 0;
		rcRect.right = 2 * dx;
		rcRect.bottom = dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );

		rcRect.left = 0;
		rcRect.top = dy;
		rcRect.right = dx;
		rcRect.bottom = 2*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + dy + 5, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		
		rcRect.left = 0;
		rcRect.top = 2* dy;
		rcRect.right = dx;
		rcRect.bottom = 3 * dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 2*dy + 10, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );

		rcRect.left = 0;
		rcRect.top = 3*dy;
		rcRect.right = dx;
		rcRect.bottom = 4*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 3*dy + 15, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		break;
	case 2:
		rcRect.left = 0;
		rcRect.top = 0;
		rcRect.right = dx;
		rcRect.bottom = dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );

		rcRect.left = dx;
		rcRect.top = dy;
		rcRect.right = 2*dx;
		rcRect.bottom = 2*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + dy + 5, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		
		rcRect.left = 0;
		rcRect.top = 2* dy;
		rcRect.right = dx;
		rcRect.bottom = 3 * dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 2*dy + 10, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY  );

		rcRect.left = 0;
		rcRect.top = 3*dy;
		rcRect.right = dx;
		rcRect.bottom = 4*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 3*dy + 15, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		break;
	case 3:
		rcRect.left = 0;
		rcRect.top = 0;
		rcRect.right = dx;
		rcRect.bottom = dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );

		rcRect.left = 0;
		rcRect.top = dy;
		rcRect.right = dx;
		rcRect.bottom = 2*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + dy + 5, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		
		rcRect.left = dx;
		rcRect.top = 2* dy;
		rcRect.right = 2*dx;
		rcRect.bottom = 3 * dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 2*dy + 10, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );

		rcRect.left = 0;
		rcRect.top = 3*dy;
		rcRect.right = dx;
		rcRect.bottom = 4*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 3*dy + 15, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		break;
	case 4:
		rcRect.left = 0;
		rcRect.top = 0;
		rcRect.right = dx;
		rcRect.bottom = dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );

		rcRect.left = 0;
		rcRect.top = dy;
		rcRect.right = dx;
		rcRect.bottom = 2*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + dy + 5, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		
		rcRect.left = 0;
		rcRect.top = 2* dy;
		rcRect.right = dx;
		rcRect.bottom = 3 * dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 2*dy + 10, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );

		rcRect.left = dx;
		rcRect.top = 3*dy;
		rcRect.right = 2*dx;
		rcRect.bottom = 4*dy;
		ttt(rcRect, lpDDSBack, lpDDSSurf[sBUTTONS], ddx, ddy + 3*dy + 15, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
		break;
	}

	while (1)
	{
		//     
		ddrval = lpDDSPrimary->Flip( NULL, 0 );
		if( ddrval == DD_OK )
		{
		    break;
		}
		if( ddrval == DDERR_SURFACELOST )
		{
			ddrval = restoreAll();
		    if( ddrval != DD_OK )
		    {
				break;
		    }
		}
		if( ddrval != DDERR_WASSTILLDRAWING )
		{
		    break;
		}
    }

}

void CScreen::PaintCredits()
{
	HRESULT ddrval;
	RECT rcRect;

	rcRect.left = 0;
	rcRect.top = 0;
	rcRect.right = 640;
	rcRect.bottom = 400;
	ttt(rcRect, lpDDSBack, lpDDSSurf[sMENU], 0, 0, DDBLTFAST_NOCOLORKEY );
	ttt(rcRect,  lpDDSBack, lpDDSSurf[sCREDITS], 0, 0, DDBLTFAST_WAIT | DDBLTFAST_SRCCOLORKEY );
	while (1)
	{
		//     
		ddrval = lpDDSPrimary->Flip( NULL, 0 );
		if( ddrval == DD_OK )
		{
		    break;
		}
		if( ddrval == DDERR_SURFACELOST )
		{
			ddrval = restoreAll();
		    if( ddrval != DD_OK )
		    {
				break;
		    }
		}
		if( ddrval != DDERR_WASSTILLDRAWING )
		{
		    break;
		}
    }

}

bool CScreen::InitFail( HWND hwnd )
{
	CScreen::CloseGraphics();
    MessageBox( hwnd, "DirectDraw Init FAILED", "Bomber failed", MB_OK );
    DestroyWindow( hwnd );
    return FALSE;
}

bool CScreen::InitGraphics (HWND hwnd)
{
    DDSURFACEDESC	ddsd;
    DDSCAPS		ddscaps;
	HRESULT ddrval;

	sprintf(szBitmap,"all");
	sprintf(szBmpMan,"man");
	sprintf(szBmpWall,"walls");
	sprintf(szBmpBg,"back01");
	sprintf(szBmpUg,"back01");
	sprintf(szBmpMenu,"back00");
	sprintf(szBmpButtons,"buttons");
	sprintf(szBmpMonster,"monster");
	sprintf(szBmpDie,"die");
	sprintf(szBmpCredits,"credits");

	ddrval = DirectDrawCreate( NULL, &lpDD, NULL );
    if( ddrval != DD_OK )
    {
		return CScreen::InitFail(hwnd);
    }
    
	ddrval = lpDD->SetCooperativeLevel( hwnd, DDSCL_EXCLUSIVE | DDSCL_FULLSCREEN );
    if( ddrval != DD_OK )
    {
		return InitFail(hwnd);
    }
	
	ddrval = lpDD->SetDisplayMode( 640, 400, 8);
    if( ddrval != DD_OK )
    {
		return InitFail(hwnd);
    }

	// Create the primary surface with 1 back buffer
	ZeroMemory(&ddsd, sizeof(ddsd));
    ddsd.dwSize = sizeof( ddsd );
    ddsd.dwFlags = DDSD_CAPS | DDSD_BACKBUFFERCOUNT;
    ddsd.ddsCaps.dwCaps = DDSCAPS_PRIMARYSURFACE | DDSCAPS_FLIP | DDSCAPS_COMPLEX;
    ddsd.dwBackBufferCount = 1;
	ddsd.ddckCKSrcBlt.dwColorSpaceHighValue = 0x00fc54;
	ddsd.ddckCKSrcBlt.dwColorSpaceLowValue = 0x00fc54;
    ddrval = lpDD->CreateSurface( &ddsd, &lpDDSPrimary, NULL );
    if( ddrval != DD_OK )
    {
		return InitFail(hwnd);
    }

	ddscaps.dwCaps = DDSCAPS_BACKBUFFER;
    ddrval = lpDDSPrimary->GetAttachedSurface(&ddscaps, &lpDDSBack);
    if( ddrval != DD_OK )
    {
		return InitFail(hwnd);
    }

    // create and set the palette
	lpDDPal = DDLoadPalette(lpDD, szBitmap);

	if (lpDDPal) lpDDSPrimary->SetPalette(lpDDPal);

    // Create the offscreen surface, by loading our bitmap.
	lpDDSSurf[sONE] = DDLoadBitmap(lpDD, szBitmap, 0, 0);
	lpDDSSurf[sTWO] = DDLoadBitmap(lpDD, szBmpMan, 0, 0);
	lpDDSSurf[sWALL] = DDLoadBitmap(lpDD, szBmpWall, 0, 0);
	lpDDSSurf[sBG] = DDLoadBitmap(lpDD, szBmpBg, 0, 0);
	lpDDSSurf[sUG] = DDLoadBitmap(lpDD, szBmpUg, 0, 0);
	lpDDSSurf[sMENU] = DDLoadBitmap(lpDD, szBmpMenu, 0, 0);
	lpDDSSurf[sBUTTONS] = DDLoadBitmap(lpDD, szBmpButtons, 0, 0);
	lpDDSSurf[sMONSTER] = DDLoadBitmap(lpDD, szBmpMonster, 0, 0);
	lpDDSSurf[sDIE] = DDLoadBitmap(lpDD, szBmpDie, 0, 0);
	lpDDSSurf[sCREDITS] = DDLoadBitmap(lpDD, szBmpCredits, 0, 0);

	for (int i = 0; i++; i < SURF_NUMBER)
	if( lpDDSSurf[i] == NULL)
	{
		return InitFail(hwnd);
	}

    // Set the color key for this bitmap (black)
	DDSetColorKey(lpDDSSurf[sONE], RGB(0,252,84));
	DDSetColorKey(lpDDSSurf[sTWO], RGB(0,252,84));
	DDSetColorKey(lpDDSSurf[sWALL], RGB(0,252,84));
	DDSetColorKey(lpDDSSurf[sBUTTONS], RGB(0,252,84));
	DDSetColorKey(lpDDSSurf[sMONSTER], RGB(0,252,84));
	DDSetColorKey(lpDDSSurf[sDIE], RGB(0,252,84));
	DDSetColorKey(lpDDSSurf[sCREDITS], RGB(0,252,84));

	return true;
}

void CScreen::SetBackGround(int n)
{
	switch (n)
	{
	case 0:
		sprintf(szBmpBg,"back01");
		break;
	case 1:
		sprintf(szBmpBg,"back02");
		break;
	case 2:
		sprintf(szBmpBg,"back03");
		break;
	case 3:
		sprintf(szBmpBg,"back04");
		break;
	case 4:
		sprintf(szBmpBg,"back05");
		break;
	}
//	lpDDSSurf[sBG] = DDLoadBitmap(lpDD, szBmpBg, 0, 0);
}

void CScreen::SetUpGround(int n)
{
	switch (n)
	{
	case 0:
		sprintf(szBmpUg,"back01");
		break;
	case 1:
		sprintf(szBmpUg,"back02");
		break;
	case 2:
		sprintf(szBmpUg,"back03");
		break;
	case 3:
		sprintf(szBmpUg,"back04");
		break;
	case 4:
		sprintf(szBmpUg,"back05");
		break;
	}
//	lpDDSSurf[sUG] = DDLoadBitmap(lpDD, szBmpUg, 0, 0);
}
 